Shopping Carts

Shopping carts represent active or abandoned carts in your e-commerce platform. They contain product references, pricing, and recovery information for abandoned cart flows. All shopping cart endpoints are scoped to a language.

The shopping cart model

The shopping cart model contains all the information about a cart, including the associated profile, products, pricing, and recovery details for abandoned cart emails.

Properties

  • Name
    id
    Type
    string
    Description

    Unique identifier for the shopping cart.

  • Name
    profile_id
    Type
    string
    Description

    The identifier of the profile associated with this cart.

  • Name
    product_ids
    Type
    array
    Description

    An array of product identifiers currently in the cart.

  • Name
    currency
    Type
    string
    Description

    The currency code for the cart total (e.g., EUR, USD).

  • Name
    price
    Type
    string
    Description

    The total price of the cart.

  • Name
    recovery_url
    Type
    string
    Description

    The URL that allows the customer to recover and complete this cart.

  • Name
    recovery_token
    Type
    string
    Description

    A unique token used to authenticate the cart recovery link.

  • Name
    deleted
    Type
    boolean
    Description

    Whether the shopping cart has been soft-deleted.

  • Name
    created_at
    Type
    datetime
    Description

    Timestamp of when the cart was created.

  • Name
    updated_at
    Type
    datetime
    Description

    Timestamp of when the cart was last updated.

  • Name
    custom_attributes
    Type
    array
    Description

    An array of custom attribute objects with name and a value field (string_value, integer_value, date_value, datetime_value, or boolean_value).


GET/v2/languages/:language_id/shopping_carts

List all shopping carts

This endpoint allows you to retrieve a paginated list of all shopping carts for a given language. By default, a maximum of ten carts are shown per page, with a maximum of 250 per page.

Optional attributes

  • Name
    page
    Type
    integer
    Description

    Page offset to fetch. Defaults to 1.

  • Name
    per_page
    Type
    integer
    Description

    Number of shopping carts per page. Defaults to 10, maximum 250.

  • Name
    created_after
    Type
    timestamp
    Description

    Only return shopping carts created after this date.

  • Name
    created_before
    Type
    timestamp
    Description

    Only return shopping carts created before this date.

  • Name
    updated_after
    Type
    timestamp
    Description

    Only return shopping carts updated after this date.

  • Name
    updated_before
    Type
    timestamp
    Description

    Only return shopping carts updated before this date.

Request

GET
/v2/languages/:language_id/shopping_carts
curl -G https://app.reloadify.com/api/v2/languages/en/shopping_carts \
  -H "Authorization: Bearer {token}" \
  -d per_page=10 \
  -d page=1

Response

{
  "data": [
    {
      "id": "cart_8f3k2m",
      "profile_id": "prof_abc123",
      "product_ids": ["prod_wool_sweater", "prod_leather_belt"],
      "currency": "EUR",
      "price": "134.95",
      "recovery_url": "https://example-store.com/cart/recover/8f3k2m?token=rec_tk_a1b2c3",
      "recovery_token": "rec_tk_a1b2c3",
      "deleted": false,
      "created_at": "2026-03-15T14:22:00Z",
      "updated_at": "2026-03-15T14:35:00Z",
      "custom_attributes": []
    },
    {
      "id": "cart_9g4l3n"
      // ...
    }
  ]
}

PUT/v2/languages/:language_id/shopping_carts

Create or update a shopping cart

This endpoint allows you to create a new shopping cart or update an existing one. If a cart with the given ID already exists, it will be updated. The request body must wrap the cart data inside a shopping_cart object.

Required attributes

  • Name
    id
    Type
    string
    Description

    The unique identifier for the shopping cart in your system.

  • Name
    profile_id
    Type
    string
    Description

    The identifier of the profile associated with this cart.

Optional attributes

  • Name
    currency
    Type
    string
    Description

    The currency code for the cart total (e.g., EUR, USD).

  • Name
    price
    Type
    string
    Description

    The total price of the cart.

  • Name
    recovery_url
    Type
    string
    Description

    The URL that allows the customer to recover this cart.

  • Name
    recovery_token
    Type
    string
    Description

    A unique token used to authenticate the cart recovery link.

  • Name
    created_at
    Type
    datetime
    Description

    Timestamp of when the cart was created. Useful for backfilling historical data.

  • Name
    updated_at
    Type
    datetime
    Description

    Timestamp of when the cart was last updated.

  • Name
    custom_attributes
    Type
    array
    Description

    An array of custom attribute objects. Each object requires a name and one value field: string_value, integer_value, date_value, datetime_value, or boolean_value.

Request

PUT
/v2/languages/:language_id/shopping_carts
curl -X PUT https://app.reloadify.com/api/v2/languages/en/shopping_carts \
  -H "Authorization: Bearer {token}" \
  -H "Content-Type: application/json" \
  -d '{
    "shopping_cart": {
      "id": "cart_8f3k2m",
      "profile_id": "prof_abc123",
      "currency": "EUR",
      "price": "134.95",
      "recovery_url": "https://example-store.com/cart/recover/8f3k2m?token=rec_tk_a1b2c3",
      "recovery_token": "rec_tk_a1b2c3",
      "custom_attributes": [
        {
          "name": "cart_source",
          "string_value": "mobile_app"
        }
      ]
    }
  }'

Response

{
  "id": "cart_8f3k2m",
  "profile_id": "prof_abc123",
  "product_ids": [],
  "currency": "EUR",
  "price": "134.95",
  "recovery_url": "https://example-store.com/cart/recover/8f3k2m?token=rec_tk_a1b2c3",
  "recovery_token": "rec_tk_a1b2c3",
  "deleted": false,
  "created_at": "2026-03-15T14:22:00Z",
  "updated_at": "2026-03-15T14:22:00Z",
  "custom_attributes": [
    {
      "name": "cart_source",
      "string_value": "mobile_app"
    }
  ]
}

GET/v2/languages/:language_id/shopping_carts/:shopping_cart_id

Retrieve a shopping cart

This endpoint allows you to retrieve a shopping cart by providing the cart ID. Refer to the model at the top of this page to see which properties are included with shopping cart objects.

Request

GET
/v2/languages/en/shopping_carts/cart_8f3k2m
curl https://app.reloadify.com/api/v2/languages/en/shopping_carts/cart_8f3k2m \
  -H "Authorization: Bearer {token}"

Response

{
  "id": "cart_8f3k2m",
  "profile_id": "prof_abc123",
  "product_ids": ["prod_wool_sweater", "prod_leather_belt"],
  "currency": "EUR",
  "price": "134.95",
  "recovery_url": "https://example-store.com/cart/recover/8f3k2m?token=rec_tk_a1b2c3",
  "recovery_token": "rec_tk_a1b2c3",
  "deleted": false,
  "created_at": "2026-03-15T14:22:00Z",
  "updated_at": "2026-03-15T14:35:00Z",
  "custom_attributes": [
    {
      "name": "cart_source",
      "string_value": "mobile_app"
    }
  ]
}

DELETE/v2/languages/:language_id/shopping_carts/:shopping_cart_id

Delete a shopping cart

This endpoint allows you to delete a shopping cart. Be careful -- this action is irreversible and will remove all data associated with the cart.

Request

DELETE
/v2/languages/en/shopping_carts/cart_8f3k2m
curl -X DELETE https://app.reloadify.com/api/v2/languages/en/shopping_carts/cart_8f3k2m \
  -H "Authorization: Bearer {token}"

GET/v2/languages/:language_id/shopping_carts/:shopping_cart_id/products

List cart products

This endpoint allows you to retrieve all products currently in a shopping cart. The response includes the full list of product identifiers associated with the cart.

Request

GET
/v2/languages/en/shopping_carts/cart_8f3k2m/products
curl https://app.reloadify.com/api/v2/languages/en/shopping_carts/cart_8f3k2m/products \
  -H "Authorization: Bearer {token}"

Response

{
  "data": [
    {
      "id": "prod_wool_sweater"
    },
    {
      "id": "prod_leather_belt"
    }
  ]
}

PUT/v2/languages/:language_id/shopping_carts/:shopping_cart_id/products/:product_id

Add product to cart

This endpoint allows you to add a product to an existing shopping cart. The product is identified by its product ID in the URL path.

Request

PUT
/v2/languages/en/shopping_carts/cart_8f3k2m/products/prod_running_shoes
curl -X PUT https://app.reloadify.com/api/v2/languages/en/shopping_carts/cart_8f3k2m/products/prod_running_shoes \
  -H "Authorization: Bearer {token}"

DELETE/v2/languages/:language_id/shopping_carts/:shopping_cart_id/products/:product_id

Remove product from cart

This endpoint allows you to remove a product from a shopping cart. The product is identified by its product ID in the URL path.

Request

DELETE
/v2/languages/en/shopping_carts/cart_8f3k2m/products/prod_leather_belt
curl -X DELETE https://app.reloadify.com/api/v2/languages/en/shopping_carts/cart_8f3k2m/products/prod_leather_belt \
  -H "Authorization: Bearer {token}"

Was this page helpful?